{% extends 'base.html.twig' %}

{% block body -%}
<main class='main-content'>
    <div id='mainContent'>

        <h1>Studenti senza Dispositivo ({{ paginatedStudents.getTotalItemCount }})</h1>

        <table class="table table-striped table-hover ">
            <thead>
            <tr>
                <th>Cognome</th>
                <th>Nome</th>
                <th>Username</th>
                <th>Provider</th>
                <th>Classe</th>
            </tr>
            </thead>
            <tbody>
            {% for student in paginatedStudents %}
                <tr>
                    <td>{{ student.lastname }}</td>
                    <td>{{ student.firstname }}</td>
                    <td>{{ student.username }}</td>
                    <td>{{ student.provider.name }}</td>
                    <td>{{ student.notManuallyManagedGroups|join(", ") }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
        <div class="row">
            <div class="col-md-4 text-center text-md-start">
                <div class="navigation">
                    {{ knp_pagination_render(paginatedStudents) }}
                </div>
            </div>
            <div class="col-md-4 text-center"></div>
            <div class="col-md-4 text-right">
                <form class="form-search" action="{{ path('mdm_device_show_student_without_device') }}">
                    <div class="mb-3 d-flex justify-content-center justify-content-md-end">
                        <select style="width: inherit; display: inline;" id="providerId" name="providerId"
                                class="form-select me-1">
                            <option value="">Tutti i provider</option>
                            {% for provider in providers %}
                                <option value="{{ provider.id }}" {{ ((filters.providerId is defined) and (provider.id==filters.providerId))?"selected" }}
                                >{{ provider.name }}</option>
                            {% endfor %}
                        </select>
                        <select style="width: inherit; display: inline;" id="groupId" name="groupId"
                                class="form-select me-1">
                            <option value="">Tutti i gruppi</option>
                            {% for group in groups %}
                                <option value="{{ group.id }}" {{ ((filters.groupId is defined) and (group.id==filters.groupId))?"selected" }}
                                >{{ group.name }} ({{ group.provider.name }})</option>
                            {% endfor %}
                        </select>
                        <button class="btn btn-secondary" type="submit"><i class="fa-solid fa-magnifying-glass"></i></button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</main>
{% endblock %}